<?php 

class FRMTest extends AppFormulario {
	
	protected $_url_traseditar = '/test/index';
	
	public function init() {
		
		parent::init();
		$this->setRefrescaGrid(true);
		//$this->setLabelSuperior(true);
		$this->setAddClassFormHorizontal(true);
		$this->setAction('/test/editar/id/'.$this->getObjeto()->id);
		
		$cmp_Nombre = new EFTexto('nombre');
		$cmp_Nombre->setLabel('Nombre');
		$cmp_Nombre->setDescription('Nombre chulo');		
		$this->addElement($cmp_Nombre);
		
		$precio = new EFDecimal('precio');
		$precio->setLabel('Precio');
		$precio->setDescription('El precio más bajo');
		$this->addElement($precio);


		$grabar = new EFSubmit('guardar');
		$grabar->setLabel('Guardar');
		$grabar->setValue('Grabando con amor');
		$grabar->setAttrib('class', 'btn botoncito');
		$this->addElement($grabar);
		
		$fecha = new EFFecha('fecha');
		$fecha->setLabel('Fecha');
		$this->addElement($fecha);
		
		$activo = new EFCheckbox('activo');
		$activo->setLabel('Activo:');
		$this->addElement($activo);
		
		$tipo = new EFRadio('tipo');
		$tipo->setLabel('Tipo:');
		$tipo->setMultiOptions(array(
				0 => 'primera',
				1 => 'segunda',
				2 => 'tercera'
		));
		
		$opcion = new EFCombobox('opcion');
		$opcion->setLabel('Opción:');
		$opcion->setMultiOptions(array(
				0 => 'primera',
				1 => 'segunda',
				2 => 'tercera'
		));
		$this->addElement($opcion);
		
		$this->addElement($tipo);
		
		// en pantalla
		$caja = new VstCaja('cajita');
		$caja2 = new VstCaja('cajita2');
		$caja->addElement($cmp_Nombre);
		$caja->addElement($precio);
		$caja2->addElement($fecha);
		$caja2->addElement($activo);		
		$caja2->addElement($tipo);
		$caja2->addElement($opcion);
		$caja2->addElement($grabar);
		
		
		$fila = new VstFila();
		$fila->addElemento($caja);
		$fila->addElemento($caja2);

		
		$this->addElementoVista($fila);
	}

	public function __construct(Evento $objeto, $options = null){
		$this->setObjeto($objeto);
		parent::__construct($options);
	
	}
	
}

